<!DOCTYPE html>
<html>
    <head>
        <style>

            html, body, div, span, applet, object, iframe,
            h1, h2, h3, h4, h5, h6, p, blockquote, pre,
            a, abbr, acronym, address, big, cite, code,
            del, dfn, em, font, img, ins, kbd, q, s, samp,
            small, strike, strong, sub, sup, tt, var,
            dl, dt, dd, ol, ul, li,
            fieldset, form, label, legend,
            table, caption, tbody, tfoot, thead, tr, th, td {
                margin: 0;
                padding: 0;
                border: 0;
                outline: 0;
                font-weight: inherit;
                font-style: inherit;
                font-size: 100%;
                font-family: inherit;
                vertical-align: baseline;
            }
            :focus {
                outline: 0;
            }
            body {
                line-height: 1;
                color: black;
                background: white;
            }
            ol, ul {
                list-style: none;
            }
            table {
                border-collapse: separate;
                border-spacing: 0;
            }
            caption, th, td {
                text-align: left;
                font-weight: normal;
            }
            blockquote:before, blockquote:after,
            q:before, q:after {
                content: "";
            }
            blockquote, q {
                quotes: "" "";
            }

            img {
                -ms-interpolation-mode: bicubic;
            }

            * {
                box-sizing: border-box;
            }

            html body {
                font-size: 13px;
                line-height: 1.1;
                font-family: 'Helvetica', sans-serif;
                padding: 1.25cm;
            }

            .pull-left {
                float: left;
            }

            .clearfix{
                content: "";
                display: table;
                width: 100%; 
                clear: both;
            }

            table {
                width: 100%;
            }

            hr {
                border: 0;
            }
            label {
                font-weight: bold;
            }

            table td {
                vertical-align: middle;
                font-size: 14px;
            }

            p.page-braker { page-break-after: always; }
            html { margin: 15px 15px 120px;}
            @page { padding: 15px 15px 120px; position: relative;}

            footer {position: fixed; bottom: 0; left: 40px; right: 40px}
            footer table td {font-size: 11px; padding: 3px}
            footer table td b {font-size: 11px}
            footer .pagenum:before {content: counter(page);}
        </style>
    </head>
    <body>
        <footer>
            <table style='width: 100%; border-top: 1px solid #000' cellpadding='0' cellspacing='0'>
                <tr>
                    <td style="text-align: center; font-weight: bold; padding-top: 5px;">
                        OSMA SRL a Socio Unico<br>
                        Sede legale: Zona Industrialie nr. 8 <br/>
                        Nonio (VB) - 28891<br>
                        Email: osmasnc@osmasnc.it&nbsp;&nbsp;&nbsp;PEC: osmasnc@pec.it
                    </td>
                </tr>
            </table>
        </footer>
        <table cellpadding='0' cellspacing='0' style='margin-bottom: 30px;'>
            <tr style=''>
                <td style='width: 45%; text-align: left;'>
                    <img src="components/com_osma/templates/assets/img/osma_logo.png" style='height: 115px; width: 180px;'/>
                </td>
                <td style='width: 55%; text-align: center;' align='center'>
                </td>
            </tr>
        </table>
        <table style='margin-bottom: 15px;'>
            <tr>
                <td style='font-size: 13px; padding-bottom: 20px;'>
                    <b>Oggetto:</b> Dichiarazione di assenza libretto metrologico per strumenti di misura.
                </td>
            </tr>
            <tr>
                <td style='font-size: 13px;'>
                    Il sottoscritto <b><?php echo $user->name ?></b>, in qualità di riparatore incaricato dell'impresa denominata <b>OSMA SRL</b> con sede legale / operativa a <b>Nonio (VB)</b>, 
                    <b>Zona industriale nr. 8</b>, partita IVA: <b>01971090038</b>, iscritta alla CCIAA di <b>Verbania</b> numero REA <b>VB - 192429</b>.
                </td>
            </tr>
            <tr>
                <td style='text-align: center; padding-top: 10px; padding-bottom: 10px; font-size: 13px;'>
                    <b>dichiara:</b>
                </td>
            </tr>
            <tr>
                <td style='text-align: left; font-size: 13px;'>
                    ai sensi del Decreto nr. 93 del 21 aprile 2017 art. 7 comma 4, che è stata effettuato un intervento di manutenzione su uno strumento di misura "tipo nazionale" e che è sprovvisto 
                    di libretto metrologico, c/o il Punto Vendita sotto specificato.
                </td>
            </tr>
        </table>

        <?php
        $explode = explode(";base64,", $additional->signaturePtoVendita);
        $sizes = getimagesizefromstring(base64_decode($explode[1]));

        $new = 250;
        if ($sizes[0] > $new) {
            $newh = round(($new * $sizes[1]) / $sizes[0], 0);
        } else {
            $new = $sizes[0];
            $neh = $sizes[1];
        }
        ?>

        <table style='margin-top: 30px'>
            <tr>
                <td style='width: 27%; vertical-align: top;'>
                    <b>Utente metrico:</b>
                </td>
                <td style='width: 46%; border: 1px solid #000; padding: 5px; text-align: center;'>
                    <?php echo ucwords(strtolower($oggetto->ragioneSociale)) ?><br>
                    <?php echo ucwords(strtolower($oggetto->indirizzo)) . ", " . $oggetto->cap . ", " . ucwords(strtolower($oggetto->comune)) . " (" . strtoupper($oggetto->provincia) . ")" ?><br>
                    Partita IVA: <?php echo $oggetto->piva ?><br>
                    Compagnia: <?php echo $oggetto->compagnia . ", " . $oggetto->nrPuntoVendita ?><br>
                    <img src='<?php echo $additional->signaturePtoVendita ?>' style='width: <?php echo $neww ?>px; height: <?php echo $newh ?>px; margin-top: 30px;'>
                </td>
                <td style='width: 27%;'>

                </td>
            </tr>
        </table>

        <table style='border: 1px solid #000; margin-top: 30px;'>
            <tr>
                <td style='padding: 5px;'>
                    DATI STRUMENTO RIPARATO<br>
                    <b>Tipo di strumento:</b> <?php echo $oggetto->tipologia ?><br>
                    <b>Matricola:</b> <?php echo $oggetto->nrMatricola ?><br>
                    <b>Modello:</b> <?php echo $oggetto->modello ?><br>
                    <b>Marca:</b> <?php echo $oggetto->marca ?><br>
                </td>
            </tr>
        </table>

        <?php if ($pistole) { ?>
            <?php foreach ($pistole as $pistola) { ?>
                <table style='border: 1px solid #000; margin-top: 0px;'>
                    <tr>
                        <td style='padding: 5px;'>
                            <b>Matricola pistola:</b> <?php echo $pistola->matricolaPistola ?><br>
                            <b>Nr. vincoli rimossi:</b> <?php echo $pistola->sA ?> - <b>Posizione vincolo rimosso:</b> <?php echo $pistola->aP ?>
                        </td>
                    </tr>
                </table>
            <?php } ?>
        <?php } ?>

        <div style='margin: 30px 0;'></div>

        <?php
        $explode = explode(";base64,", $additional->firma2);
        $sizes = getimagesizefromstring(base64_decode($explode[1]));

        $new = 250;
        if ($sizes[0] > $new) {
            $newh = round(($new * $sizes[1]) / $sizes[0], 0);
        } else {
            $new = $sizes[0];
            $neh = $sizes[1];
        }
        ?>

        <table>
            <tr>
                <td style='width: 50%;'>
                    Data: <?php echo date("d/m/Y", strtotime($libretto->inserted)) ?>
                </td>
                <td style='width: 50%; text-align: center;'>
                    IN FEDE<br><br>
                    <img src='<?php echo $additional->firma2 ?>' style='width: <?php echo $neww ?>px;; height: <?php echo $newh ?>px;'>
                </td>
            </tr>
        </table>

    </body>
</html>