<?php
if ($this->team) {
    foreach ($this->team as $name) {
        $team[] = $name->name;
    }
}

if ($this->rapporto->oraI) {
    $hi = date("H", strtotime($this->rapporto->oraI));
    $mi = date("i", strtotime($this->rapporto->oraI));
} else {
    $hi = date("H");
    $mi = floor(date("i") / 15) * 15;
}

if ($this->rapporto->oraF) {
    $hf = date("H", strtotime($this->rapporto->oraF));
    $mf = date("i", strtotime($this->rapporto->oraF));
} else {
    $hf = date("H", strtotime("+ 30 minutes"));
    $mf = floor(date("i", strtotime("+ 30 minutes")) / 15) * 15;
}
?>

<form class='registro' name='rapporto'>
    <div class='row bd'>
        <div class='col-sm-5 col-xs-12 pd-top-bottom bd-right'>
            <p><b>Localita:</b></p>
            <p class='pre-compiled'><?php echo $this->gestore->comune ?> (<?php echo $this->gestore->provincia ?>), <?php echo $this->gestore->indirizzo ?></p>
            <p><b>Cliente:</b></p>
            <p class='pre-compiled'><?php echo $this->gestore->ragioneSociale ?></p>
            <p><b>Codice P.V.:</b></p>
            <p class='pre-compiled'><?php echo $this->gestore->nrRea ?></p>
            <p><b>N°:</b></p>
            <p class='pre-compiled'><?php echo $this->gestore->nrPuntoVendita ?></p>
            <p><b>Gestore:</b></p>
            <p class='pre-compiled'><?php echo $this->gestore->NCompagnia ?></p>
        </div>
        <div class='col-sm-7 col-xs-12'>
            <div class='row'>
                <div class='col-sm-6 center'>
                    <div class='row'>
                        <p class='leader'>Data chiamata</p>
                        <span class='pre-compiled'><?php echo date("d/m/Y", strtotime($this->info->dataApertura)) ?></span>
                        <p class='leader bd-top'>Data intervento</p>
                        <div class='input-group dataInterventoGroup' id="dataInterventoGroup">
                            <input type='text' class=" required" id='dataIntervento' name="dataIntervento" value="<?php echo ($this->rapporto && strtotime($this->rapporto->dataIntervento) > 0 ? date("d/m/Y", strtotime($this->rapporto->dataIntervento)) : date("d/m/Y")) ?>" />
                            <span class="input-group-addon">
                                <span class="glyphicon glyphicon-calendar"></span>
                            </span>
                        </div>
                    </div>
                </div>
                <div class='col-sm-6 center bd-left'>
                    <div class='row'>
                        <p class='leader'>Rif. Nr. Chiamata</p>
                        <span class='pre-compiled'><?php echo $this->info->nrChiamata . ($this->info->nrChiamataCompagnia ? " - " . $this->info->nrChiamataCompagnia : "") ?></span>
                        <div class='center bd-top md-top'>
                            <div class='col-sm-6'>
                                <div class='row'>
                                    <p class=''>Ora inizio</p>
                                    <div class='col-sm-6'>
                                        <select name='orai'>
                                            <?php for ($i = 1; $i < 24; $i++) { ?>
                                                <option value='<?php echo $i ?>' <?php echo ($i == $hi ? "selected='selected'" : "") ?>><?php echo str_pad($i, 2, '0', STR_PAD_LEFT) ?></option>
                                            <?php } ?>
                                        </select>
                                    </div>
                                    <div class='col-sm-6'>
                                        <select name='minutoi' >
                                            <?php for ($i = 0; $i < 60; $i += 15) { ?>
                                                <option value='<?php echo $i ?>' <?php echo ($i == $mi ? "selected='selected'" : "") ?>><?php echo str_pad($i, 2, '0', STR_PAD_LEFT) ?></option>
                                            <?php } ?>
                                        </select>
                                    </div>
                                </div>
                            </div>
                            <div class='col-sm-6 pd-bottom'>
                                <div class='row'>
                                    <p class=''>Ora fine</p>
                                    <div class='col-sm-6'>
                                        <select name='oraf' >
                                            <?php for ($i = 1; $i < 24; $i++) { ?>
                                                <option value='<?php echo $i ?>' <?php echo ($i == $hf ? "selected='selected'" : "") ?>><?php echo str_pad($i, 2, '0', STR_PAD_LEFT) ?></option>
                                            <?php } ?>
                                        </select>
                                    </div>
                                    <div class='col-sm-6'>
                                        <select name='minutof' >
                                            <?php for ($i = 0; $i < 60; $i += 15) { ?>
                                                <option value='<?php echo $i ?>' <?php echo ($i == $mf ? "selected='selected'" : "") ?>><?php echo str_pad($i, 2, '0', STR_PAD_LEFT) ?></option>
                                            <?php } ?>
                                        </select>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class='col-sm-6 center pd-top-bottom bd-top'>
                    <p class='leader'>
                        Tipo intervento:
                        <select name = 'tipoRapporto' disabled='disabled' readonly='readonly'>
                            <option value='1' <?php echo (!$this->rapporto && $this->info->tipo == 1 ? "selected='selected'" : ($this->rapporto->tipoRapporto == 1 ? 'selected="selected"' : "")) ?>>Forfait</option>
                            <option value='2' <?php echo (!$this->rapporto && $this->info->tipo == 2 ? "selected='selected'" : ($this->rapporto->tipoRapporto == 2 ? 'selected="selected"' : "")) ?>>Ex. Forfait</option>
                            <option value='3' <?php echo (!$this->rapporto && $this->info->tipo == 3 ? "selected='selected'" : ($this->rapporto->tipoRapporto == 3 ? 'selected="selected"' : "")) ?>>Programmato</option>
                        </select>
                    </p>
                </div>
                <div class='col-sm-6 center pd-top bd-left bd-top'>
                    <p class='leader'>
                        Tipo intervento:
                        <select name='tipoIntervento' disabled='disabled' readonly='readonly'>
                            <option value='1' <?php echo ($this->info->idTipoIntervento == 1 ? 'selected="selected"' : "") ?>>Meccanico</option>
                            <option value='2' <?php echo ($this->info->idTipoIntervento == 2 ? 'selected="selected"' : "") ?>>Edile</option>
                            <option value='3' <?php echo ($this->info->idTipoIntervento == 3 ? 'selected="selected"' : "") ?>>Elettrico</option>
                            <option value='4' <?php echo ($this->info->idTipoIntervento == 4 ? 'selected="selected"' : "") ?>>Elettronico</option>
                            <option value='5' <?php echo ($this->info->idTipoIntervento == 5 ? 'selected="selected"' : "") ?>>Video sorveglianza</option>
                            <option value='6' <?php echo ($this->info->idTipoIntervento == 6 ? 'selected="selected"' : "") ?>>Antintrusione</option>
                        </select>
                    </p>
                </div>
                <div class='col-sm-12 bd-top center'>
                    <p class='leader'>Operatori</p>
                    <span class='pre-compiled '><?php echo implode(", ", $team) ?></span>
                </div>
            </div>
        </div>
    </div>

    <div class='row mg-top'>
        <div class="panel panel-default">
            <div class="panel-body" id="collapse-distributori">
                <div class='row'>
                    <div class='col-sm-6'>
                        <label>Misure e quantità</label>
                        <textarea name='descrizione' ><?php echo $this->rapporto->descrizione ?></textarea>
                    </div>
                    <div class='col-sm-6'>
                        <label>Materiali e mezzi impiegati</label>
                        <textarea name='materialeImpiegato' ><?php echo $this->rapporto->materialeImpiegato ?></textarea>
                    </div>
                    <div class='col-sm-12 mg-top pd-top bd-top'>
                        <label>Descrizione lavori eseguiti</label>
                        <textarea name='osservazioni' ><?php echo $this->rapporto->osservazioni ?></textarea>
                    </div>
                </div> 
            </div> 
        </div> 
    </div>

    <div class='row bd'>
        <div class="col-sm-4 pd bd-right">
            <p class=''>
                I componenti sostituiti sono conformi a quelli di tipo approvato
                <span class='block'>
                    <label for='lavoriDESC1' class='inline'>SI</label> <input type='radio' name='dichiarazione1' id='lavoriDESC1' value='1' <?php echo ($this->rapporto && $this->rapporto->dichiarazione1 == 1 ? "checked='checked'" : "") ?>>
                    <label for='lavoriDESC2' class='inline'>NO</label> <input type='radio' name='dichiarazione1' id='lavoriDESC2' value='0' <?php echo ($this->rapporto && $this->rapporto->dichiarazione1 === '0' ? "checked='checked'" : "") ?>>
                </span>
            </p>
            <p class=''>
                Rapporto di Lavoro
                <span class='block'>
                    <label for='dichiarazione21' class='inline'>Ultimato</label> <input type='radio' name='dichiarazione2' id='dichiarazione21' value='1' <?php echo ($this->rapporto && $this->rapporto->dichiarazione2 == 1 ? "checked='checked'" : "") ?>>
                    <label for='dichiarazione22' class='inline'>Da ultimare</label> <input type='radio' name='dichiarazione2' id='dichiarazione22' value='0' <?php echo ($this->rapporto && $this->rapporto->dichiarazione2 === '0' ? "checked='checked'" : "") ?>>
                </span>
            </p>
        </div>
        <div class="col-sm-4 pd">
            <a class='openSignature' data-signatureName="firma2" href='javascript:void(0);'>FIRMA GESTORE</a>
            <img id="firma2" class='img-responsive' <?php echo ($this->rapporto->firma2 ? "src='{$this->rapporto->firma2}'" : "") ?>>
            <input type='hidden' name='firma2' value='' class=''>   
        </div>
        <div class="col-sm-4 pd bd-left">
            <div class='row'>
                <?php
                if (!$this->rapporto) {
                    if ($this->team) {
                        foreach ($this->team as $name) {
                            ?>
                            <div class='col-sm-12'>
                                <a class='openSignature' data-signatureName="firmaArray-<?php echo $name->id ?>" href='javascript:void(0);'>FIRMA <?php echo $name->name ?></a>
                                <img id="firmaArray-<?php echo $name->id ?>" class='img-responsive'>
                                <input type='hidden' name='firmaArray-<?php echo $name->id ?>' value='' class=''>
                            </div>
                            <?php
                        }
                    }
                } elseif ($this->rapporto->firmaArray) {
                    $this->rapporto->firmaArray = unserialize($this->rapporto->firmaArray);
                    if ($this->rapporto->firmaArray) {
                        foreach ($this->rapporto->firmaArray as $firma) {
                            echo "<div class='col-sm-12'>";
                            if ($this->team) {
                                foreach ($this->team as $name) {
                                    if ($name->id == $firma['id']) {
                                        echo "<label>{$name->name}</label>";
                                    }
                                }
                            }
                            echo "<img src='{$firma['firma']}' class='img-responsive'>";
                            echo "</div>";
                        }
                    }
                }
                ?>
            </div>

        </div>
    </div>

    <div class='row mg-top text-right'>
        <div class='btn-group'>
            <?php if ($this->rapporto->idRapporto) { ?>
                <a class='btn btn-success scarica-pdf' href="<?php echo JRoute::_("index.php?option=com_osma&task=chiusura.visualizzaPDFrapporto&format=raw&idRapporto={$this->rapporto->idRapporto}&idChiamata={$this->info->idChiamata}") ?>" target="_blank">
                    <i class="icon-download"></i> Scarica PDF
                </a>
            <?php } ?>
            <?php if ($this->rapporto->idRapporto && $this->rapporto->hasDichiarazione) { ?>
                <a class='btn btn-info' href="<?php echo JRoute::_("index.php?option=com_osma&task=chiusura.dichiarazioneRiparazione&format=raw&idRapporto={$this->rapporto->idRapporto}&idChiamata={$this->info->idChiamata}") ?>" target="_blank">
                    <i class="fa fa-wrench"></i> Dichiarazione di riparazione
                </a>
            <?php } ?>
            <span class='btn btn-success salva-rapporto'><i class="fa fa-save"></i> Salva rapporto</span>
            <?php if (!$this->info->statoIntervento) { ?>
                <span class='btn btn-success salva-chiudi' data-toggle="modal" data-target="#close-intervento"><i class="fa fa-save"></i> Salva rapporto e chiudi intervento</span>
            <?php } ?>
        </div>
    </div>

    <input type="hidden" name="idDuvri" value="<?php echo $this->duvri->id ?>"/>
    <input type="hidden" name="idChiamata" value="<?php echo JRequest::getVar("idChiamata") ?>"/>
    <input type="hidden" name="idIntervento" value="<?php echo JRequest::getVar("idIntervento") ?>"/>
    <input type="hidden" name="tipoRapporto" value="2"/>
    <?php echo JHtml::_('form.token'); ?>

    <div class="modal fade in" id="close-intervento" style="display: none; padding-left: 0px;">
        <div class="modal-dialog modal-lg">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
                    <h3 class="modal-title">
                        Vuoi chiudere questo intervento?
                    </h3>
                </div>
                <div class="modal-body">
                    <select name='statoIntervento'>
                        <option value='0' selected='selected' disabled='disabled'>- SELEZIONA -</option>
                        <option value='1'>Chiudi intervento</option>
                        <option value='2'>Sospendi intervento</option>
                    </select>
                    <hr class="divider">
                    <textarea name='noteCambioStato' class='hidden'></textarea>
                    <hr class="divider">
                    <div style="margin-bottom: 0">
                        <b>Attenzione:</b> sono stati rimossi dei piombi?
                        <label for="rimozionePiombi1">
                            <input type="radio" name="rimozionePiombi" id="rimozionePiombi1" value="1"> Si
                        </label>
                        <label for="rimozionePiombi0">
                            <input type="radio" name="rimozionePiombi"  id="rimozionePiombi0" value="0" checked="checked"> No
                        </label>
                        <div class="hidden checkRimozionePiombi">
                            <p class="text-muted" style="margin-bottom: 0; margin-top: 15px;"><b>Nota:</b> cliccando su Conferma, dichiari che, nel caso di rimozione piombi, è stato compilato il modulo di rilegalizzazione.</p>
                        </div>
                    </div>
                </div>
                <div class="modal-footer">
                    <div class="row">
                        <div class="col-sm-12 text-right">
                            <a class="btn btn-success chiudi-intervento disabled"><i class="fa fa-check-circle"></i> Conferma</a>
                            <a type="button" class="btn btn-default" data-dismiss="modal" href="javascript:void(0);"><i class="fa fa-undo"></i> annulla</a>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

</form>
<script>
    jQuery(function ($) {

        var __rowdi = $(".pt-field").clone();
        $(__rowdi).find(".marca, .modello, .prod, .matricola, .pt-lv, .pt-lscatti").html("&nbsp;");
        $(__rowdi).find("input[type=text]").val("");
        $(__rowdi).find("select").val("");
        $(__rowdi).find("input:checked").removeAttr("checked");
        var __rowss = $(".ms-field").clone();
        $(__rowss).find(".marca, .modello, .prod, .matricola, .pt-lv, .pt-lscatti").html("&nbsp;");
        $(__rowss).find("input[type=text]").val("");
        $(__rowss).find("select").val("");
        $(__rowss).find("input:checked").removeAttr("checked");

        $(".pt-field").find("[name*='pt[id]']").each(function () {
            $(this).attr("name", $(this).attr("name").replace("id", 0));
        });
        $(".ms-field").find("[name*='ms[id]']").each(function () {
            $(this).attr("name", $(this).attr("name").replace("id", 0));
        });

        $(document).on("change", "input.pt-lprima, input.pt-ldopo", function () {

            var l = $(this).parents(".this-field").find("input.pt-lprima").val();
            var v = $(this).parents(".this-field").find("input.pt-ldopo").val();

            if (l && v) {
                $(this).parents(".this-field").find(".pt-lscatti").text(parseFloat(v) - parseFloat(l));
            }
        });

        $(document).on("change", "input.pt-l, input.pt-v", function () {

            var l = $(this).parents(".this-field").find("input.pt-l").val();
            var v = $(this).parents(".this-field").find("input.pt-v").val();

            if (l && v) {
                $(this).parents(".this-field").find(".pt-lv").text(parseFloat(v) / parseFloat(l));
            }
        });

        $(".chosen-select").chosen({
            no_results_text: "Nessun risultato",
            placeholder_text_single: "Seleziona la matricola",
            width: "100%"
        });

        $(document).on("change", ".matricole-pistole, .matricole-computer, .matricole-ss", function (e) {
            e.stopImmediatePropagation();
            e.stopPropagation();

            $(this).parents(".this-field").find(".marca").text($(this).find("option:selected").data("marca"));
            $(this).parents(".this-field").find(".modello").text($(this).find("option:selected").data("modello"));
            $(this).parents(".this-field").find(".prod").text($(this).find("option:selected").data("prod"));
            $(this).parents(".this-field").find(".matricola").text($(this).find("option:selected").data("matricola"));
            $(this).parents(".this-field").find(".tipologia").text($(this).find("option:selected").data("tipologia"));
        });

        $(document).on("click", ".add-row-distributori", function (e) {
            e.stopImmediatePropagation();
            e.stopPropagation();

            var newrow = $(__rowdi).clone();
            var _index = $(".pt-field").size();

            $(newrow).find("[name*='pt[id]']").each(function () {
                $(this).attr("name", $(this).attr("name").replace("id", _index));
            });
            $(newrow).find(".matricole-pistole").chosen({
                no_results_text: "Nessun risultato",
                placeholder_text_single: "Seleziona la matricola della pisola",
                width: "100%"
            });

            $(newrow).appendTo(".pt-field-container");

            return false;
        });

        $(document).on("click", ".add-row-ss", function (e) {
            e.stopImmediatePropagation();
            e.stopPropagation();

            var newrow = $(__rowss).clone();
            var _index = $(".ms-field").size();

            $(newrow).find("[name*='ms[id]']").each(function () {
                $(this).attr("name", $(this).attr("name").replace("id", _index));
            });

            $(newrow).appendTo(".ms-field-container");

            return false;
        });

        $(document).on("click", ".remove-row", function (e) {
            e.stopImmediatePropagation();
            e.stopPropagation();

            $(this).parents(".this-field").remove();
            return false;
        });

        $(document).on("click", ".salva-rapporto:not(.disabled), .chiudi-intervento:not(.disabled)", function (e) {
            e.stopImmediatePropagation();
            e.stopPropagation();

            var __data = $("form[name=rapporto]").serialize();

            $.ajax({
                url: "<?php echo JUri::root() ?>index.php?option=com_osma&task=chiusura.salvaRapporto&format=raw",
                method: 'POST',
                data: __data
            }).done(function (data) {
                data = JSON.parse(data);
                if (!data.response) {
                    console.log(data.message);
                }
                eval(data.script);
            });
            return false;
        });
    });
</script>