<?php

// No direct access to this file
defined('_JEXEC') or die('Restricted access');

class OsmaViewChiusura extends JViewLegacy {

    function display($tpl = null) {

        $this->title = "Chiusura Chiamata";

        if (count($errors = $this->get('Errors'))) {
            JError::raiseError(500, implode('<br />', $errors));
            return false;
        }

        $this->info = $this->get("info");
        $this->duvri = $this->get("duvri");

        $model = $this->getModel();

        $this->gestore = $model->getgestore($this->info->idGestore);

        $this->team = $model->getteam($this->info->idIntervento, $this->info->idChiamata);
        $this->matricole = $model->getmatricole($this->info->idGestore, 5);
        $this->matricoleCC = $model->getmatricolepagamento($this->info->idGestore, 4);
        $this->matricoleSS = $model->getmatricolepagamento($this->info->idGestore, 3);

        if ($this->duvri->id) {
            $this->rapporto = $model->getrapporto($this->duvri->id);
            $this->rapporto->hasDichiarazione = false;
            if ($this->rapporto->distributori) {
                foreach ($this->rapporto->distributori as $pistola) {
                    if ($pistola->normativa == 'nazionale' && $pistola->piombi) {
                        $this->rapporto->hasDichiarazione = true;
                        break;
                    }
                }
            }
        }

        parent::display($tpl);
    }

    function get_libretto($idPistola) {
        $dbo = JFactory::getDbo();
        $query = $dbo->getQuery(true);
        $query->clear();
        $query->select("idLibretto")->from("#__osma_rapporto_libretti_metrologici")->where("idIntervento = {$this->info->idIntervento} AND idMatricola = {$idPistola}");
        return $dbo->setQuery($query)->loadResult();
    }

}
