<?php
defined('_JEXEC') or die('Restricted access');

$statoChiamata = array(
    1 => 'Aperta',
    2 => 'In Corso',
    3 => 'Sospesa',
    4 => 'Chiusa',
    5 => 'In attesa di autorizzazione intervento',
    6 => 'In attesa di autorizzazione fatturazione'
);
$tipoChiamata = array(1 => 'Forfait', 2 => 'Extra Forfait', 3 => 'Programmate', 4 => 'Giroluci', 5 => 'Presa Visione');

$this->lordo = 0;
$this->lavori = 0;
?>

<div class="t3a-toolbar row">
    <div class="btn-group btn-group-small pull-right">
        <a href="javascript:void(0);" class="add-voce btn btn-success">
            <span class="fa fa-plus"></span> Aggiungi voce
        </a>
    </div>
</div>
<form name="preventivo" action="index.php?option=com_osma&task=preventivatore.aggiungiPreventivo&format=raw"
      method="POST">
    <div class="panel panel-default main-panel" id="preventivo-panel" style="display: flex;">
        <div class="col-md-10">
            <div class="panel-heading">
                <h3 class="panel-title">Riepilogo dati preventivo su chiamata
                    #<?php echo $this->chiamata->nrChiamata ?></h3>
                <div class="row header">
                    <div class="col-sm-6">
                        <strong>PVF:</strong> <?php echo $this->chiamata->gNrPuntoVendita . " - " . $this->chiamata->gRagioneSociale . ", " . $this->chiamata->gIndirizzo . ", " . $this->chiamata->gComune . " (" . $this->chiamata->gProvincia . ")" ?>
                    </div>
                    <div class="col-sm-3"><strong>Preventivo:</strong> <?php echo $this->numeroPreventivo ?></div>
                    <div class="col-sm-3"><strong>Data / ora
                            chiamata:</strong> <?php echo date("d/m/Y H:i", strtotime($this->chiamata->dataApertura)) ?>
                    </div>
                    <div class="col-sm-3"><strong>Cliente:</strong> <?php echo $this->chiamata->cRagioneSociale ?></div>
                    <div class="col-sm-3"><strong>Tipologia:</strong> <?php echo $tipoChiamata[$this->chiamata->tipo] ?>
                    </div>
                    <div class="col-sm-3"><strong>Stato
                            chiamata:</strong> <?php echo $statoChiamata[$this->chiamata->stato] ?></div>
                    <div class="col-sm-12"><strong>Oggetto
                            chiamata:</strong> <?php echo $this->chiamata->descrizioneGenerale ?></div>
                </div>
            </div>
            <div class="panel-body">
                <table class="table table-bordered table-striped preventivo">
                    <thead>
                    <tr>
                        <th style="width: 4%;">ID</th>
                        <th style="width: 10%;">COD</th>
                        <th>Descrizione</th>
                        <th style="width: 4%;">U.M.</th>
                        <th class="text-right" style="width: 6.5%;">Qt.</th>
                        <th class="text-right" style="width: 9%;">P.U.</th>
                        <th class="text-right" style="width: 9%;">Pr. Tot</th>
                        <th class="text-right" style="width: 6.5%;">Sconto</th>
                        <th class="text-right" style="width: 9%;">Importo</th>
                        <th style='width: 7%;'></th>
                    </tr>
                    </thead>
                    <tbody>
                    <?php if ($this->preventivo) { ?>
                        <?php foreach ($this->preventivo->voci as $voce) { ?>
                            <?php $totale = $voce->quantita * $voce->prezzoUnitario; ?>
                            <?php $sconto = ($totale / 100) * $voce->sconto; ?>
                            <?php $netto = $totale - $sconto; ?>
                            <?php $this->lavori += $netto; ?>
                            <?php $this->lordo += $totale; ?>
                            <tr>
                                <td><?php echo $voce->idCapitolo ? $voce->idCapitolo : "-" ?><input type='hidden'
                                                                                                    name='idCapitolo[]'
                                                                                                    value='<?php echo $voce->idCapitolo ?>'/>
                                </td>
                                <td><?php echo $voce->codiceCapitoloRaw ? $voce->codiceCapitoloRaw : "-" ?></td>
                                <td><?php echo $voce->nome ?><input type='hidden' name='nome[]'
                                                                    value='<?php echo $voce->nome ?>'/></td>
                                <td><?php echo $voce->um ?><input type='hidden' name='um[]'
                                                                  value='<?php echo $voce->um ?>'/></td>
                                <td class='text-right'><?php echo $voce->quantita ?><input type='hidden'
                                                                                           name='quantita[]'
                                                                                           value='<?php echo $voce->quantita ?>'/>
                                </td>
                                <td class='text-right'><?php echo number_format($voce->prezzoUnitario, 2, ",", ".") ?> €<input
                                            type='hidden' name='prezzoUnitario[]'
                                            value='<?php echo $voce->prezzoUnitario ?>'/></td>
                                <td class='text-right'><?php echo number_format($voce->quantita * $voce->prezzoUnitario, 2, ",", ".") ?>
                                    €
                                </td>
                                <td class='text-right'><?php echo($voce->sconto ? $voce->sconto . "%" : "-") ?><input
                                            type='hidden' name='sconto[]' value='<?php echo $voce->sconto ?>'/></td>
                                <td class='text-right'><?php echo number_format(round($netto, 2), 2, ",", ".") ?>
                                    €<input type='hidden' name='note[]' value='<?php echo $voce->note ?>'/></td>
                                <td class='text-right'><a class='btn btn-warning delete-row btn-sm'><i
                                                class='fa fa-times'></i> Rimuovi</a></td>
                            </tr>
                        <?php } ?>
                    <?php } ?>
                    </tbody>
                </table>
                <div class="clearfix" style="">
                    <label>Note</label>
                    <textarea name="note"><?php echo $this->preventivo->note ?></textarea>
                </div>
            </div>
            <div class="panel-footer">
                <div class="row">
                    <div class="col-sm-8">
                    <span class="btn-group btn-group-small">
                        <button class="btn btn-success copy-preventivo">Copia da preventivo</button>
                        <?php if ($this->preventivo->idPreventivo) { ?>
                            <button class="btn btn-warning send-preventivo">Invia</button>
                            <a class="btn btn-warning print-preventivo" target="_blank"
                               href="/index.php?option=com_osma&task=preventivatore.stampaPreventivo&format=raw&idPreventivo=<?php echo $this->preventivo->idPreventivo ?>">Stampa</a>
                            <button class="btn btn-warning export-preventivo">Esporta</button>
                        <?php } ?>
                        <input class="btn btn-primary" type="submit" value='Salva preventivo'/>
                    </span>
                    </div>
                    <div class="col-sm-2 text-right">
                        <strong>Totale prev. lordo</strong><br/>
                        <span class="lordo"><?php echo($this->lordo ? number_format(round($this->lordo, 2), 2, ",", ".") : "-") ?></span>
                        €
                    </div>
                    <div class="col-sm-2 text-right">
                        <strong>Totale preventivo</strong><br/>
                        <span class="lavori"><?php echo($this->lavori ? number_format(round($this->lavori, 2), 2, ",", ".") : "-") ?></span>
                        €
                    </div>
                </div>
            </div>
        </div>
        <div class="col-md-2" style="background-color: #e4e4e4">
            <div class="panel panel-primary" style="position:fixed;margin-right: 30px;">
                <div class="panel-heading" style="background-color: #2a3f54">
                    RIEPILOGO
                </div>
                <div class="panel-body">
                    <div class="col-lg-12">
                        <strong>Totale prev. lordo</strong><br/>
                        <span class="lordo"><h3><?php echo($this->lordo ? number_format(round($this->lordo, 2), 2, ",", ".") : "-") ?> €</h3></span>
                    </div>
                    <div class="col-lg-12">
                        <strong>Totale preventivo</strong><br/>
                        <span class="lavori"><h3><?php echo($this->lavori ? number_format(round($this->lavori, 2), 2, ",", ".") : "-") ?> €</h3></span>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <input type='hidden' name='idPreventivo' value='<?php echo $this->preventivo->idPreventivo ?>'/>
    <input type='hidden' name='idChiamata' value='<?php echo JRequest::getVar("idChiamata") ?>'/>
</form>


<div class="modal fade" id="sendPreventivo" tabindex="-1" role="dialog" aria-labelledby="sendPreventivo">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span>
                </button>
                <h4 class="modal-title" id="new-capitolo-label">Invia preventivo</h4>
            </div>
            <div class="modal-body">
                <form name="sendPreventivo" action="" metohd="POST">
                    <?php if ($this->chiamata->emailCliente) { ?>
                        <div class="clearfix">
                            <input type="checkbox" name="indirizzi[]"
                                   value="<?php echo $this->chiamata->emailCliente ?>" checked="checked"
                                   id="invia-cliente"> <label for="invia-cliente">Invia al cliente
                                (<?php echo $this->chiamata->emailCliente ?>)</label>
                        </div>
                    <?php } ?>
                    <?php if ($this->chiamata->emailGestore) { ?>
                        <div class="clearfix" style="margin-top: 15px">
                            <input type="checkbox" name="indirizzi[]"
                                   value="<?php echo $this->chiamata->emailGestore ?>" id="invia-gestore"> <label
                                    for="invia-gestore">Invia al gestore (<?php echo $this->chiamata->emailGestore ?>
                                )</label>
                        </div>
                    <?php } ?>
                    <div class="clearfix" style="margin-top: 15px">
                        <input type="text" name="indirizzi[]" placeholder="Aggiungi altri indirizzi separati da virgola"
                               style="width: 100%;"/>
                    </div>
                    <input type='hidden' name='idPreventivo' value='<?php echo $this->preventivo->idPreventivo ?>'/>
                </form>
            </div>
            <div class="modal-footer">
                <div class="btn-group">
                    <button type="button" class="btn btn-default" data-dismiss="modal">Chiudi</button>
                    <button type="button" class="btn btn-primary invia-preventivo-button">Invia</button>
                </div>
            </div>
        </div>
    </div>
</div>
<?php if ($this->preventivi) { ?>
    <div class="modal fade" id="copyPreventivo" tabindex="-1" role="dialog" aria-labelledby="copyPreventivo">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span
                                aria-hidden="true">&times;</span></button>
                    <h4 class="modal-title" id="new-capitolo-label">Copia preventivo</h4>
                </div>
                <div class="modal-body">
                    <form name="copyPreventivo" action="" metohd="POST">
                        <select name="idPreventivo" id="idPreventivo">
                            <option></option>
                            <?php foreach ($this->preventivi as $preventivo) { ?>
                                <?php
                                if ($this->preventivo->idPreventivo == $preventivo->idPreventivo) {
                                    continue;
                                }
                                ?>
                                <option value="<?php echo $preventivo->idPreventivo ?>">
                                    #<?php echo str_pad($preventivo->idPreventivo, 5, "0", STR_PAD_LEFT) . "/" . date("Y", strtotime($preventivo->inserted)) ?>
                                    - <?php echo $preventivo->ragioneSociale ?>, <?php echo $preventivo->comune ?>
                                    (Chiamata <?php echo $preventivo->nrChiamata ?>)
                                </option>
                            <?php } ?>
                        </select>
                        <hr style="width: 100%;">
                        <div class="vox-container"
                             style="width: 100%; max-height: 200px; min-height: 200px; overflow-y: auto; border: 1px solid #AAA">

                        </div>
                        <p style="margin-top: 10px">
                            <a class="seleziona-all" href="javascript:void(0);">Seleziona tutte le voci</a> | <a
                                    class="deseleziona-all" href="javascript:void(0);">Deseleziona tutto</a>
                        </p>
                    </form>
                </div>
                <div class="modal-footer">
                    <div class="btn-group">
                        <button type="button" class="btn btn-default" data-dismiss="modal">Chiudi</button>
                        <button type="button" class="btn btn-primary copia-preventivo-button">Invia</button>
                    </div>
                </div>
            </div>
        </div>
    </div>
<?php } ?>
<div class="modal fade" id="add-voce" tabindex="-1" role="dialog" aria-labelledby="new-capitolo">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span>
                </button>
                <h4 class="modal-title" id="new-capitolo-label">Aggiungi voce preventivo</h4>
            </div>
            <div class="modal-body">
                <form name="addCapitolo" action="" metohd="POST">
                    <div class="row">
                        <div class="col-sm-12">
                            <label class="clearfix" style="margin-bottom: 10px;">Seleziona categoria</label>
                            <select name="idCapitoloGenitore" style="width: 100%">
                                <option></option>
                                <option value="0">#: Nuova voce</option>
                                <?php if ($this->capitoli) { ?>
                                    <?php foreach ($this->capitoli as $item) { ?>
                                        <option value="<?php echo $item->idCapitolo ?>"><?php echo $item->codiceCapitolo ?>
                                            : <?php echo $item->nome ?></option>
                                        <?php $this->option_sottocapitolo($item, "&nbsp;&nbsp;&nbsp;&nbsp;" . $item->codiceCapitolo, true) ?>
                                    <?php } ?>
                                <?php } ?>
                            </select>
                        </div>
                        <div class="col-sm-12">
                            <label class="clearfix" style="margin-bottom: 10px;">Cerca (Min. 3 caratteri)</label>
                            <input type="text" name='search' style="width: 100%;"/>
                        </div>
                        <div class="col-sm-12 selezione-idcapitolo">
                            <label class="clearfix" style="margin-bottom: 10px;">Seleziona voce *</label>
                            <select name="idCapitolo" style="width: 100%; height: 100px;" multiple size="1"
                                    class='required'></select>
                        </div>
                        <div class="col-sm-12 testo-idcapitolo hidden">
                            <label class="clearfix" style="margin-bottom: 10px;">Nome</label>
                            <input type="text" name="nome" style="width: 100%" class="required"></select>
                        </div>
                        <div class='col-sm-12' style='margin-top:0'>
                            <hr class=''>
                        </div>
                        <div class="col-sm-3">
                            <label class="clearfix" style="margin-bottom: 10px;">Prezzo unitario</label>
                            <input type="text" name='prezzoUnitario' style="width: 100%;"/>
                        </div>
                        <div class="col-sm-3">
                            <label class="clearfix" style="margin-bottom: 10px;">Sconto (%)</label>
                            <input type="number" step='1' min='1' name='sconto' style="width: 100%;" value='0'/>
                        </div>
                        <div class="col-sm-3">
                            <label class="clearfix" style="margin-bottom: 10px;">U.M.</label>
                            <input type="text" name='um' style="width: 100%;" readonly/>
                        </div>
                        <div class="col-sm-3">
                            <label class="clearfix" style="margin-bottom: 10px;">Quantità *</label>
                            <input type="number" step='1' min='1' name='quantita' style="width: 100%;"
                                   class='required'/>
                        </div>
                        <div class="col-sm-12" style='margin-top: 15px;'>
                            <label class="clearfix" style="margin-bottom: 10px;">Note</label>
                            <textarea name='note'></textarea>
                        </div>
                    </div>
                    <input type="hidden" name='codiceCapitoloRaw' value=""/>
                </form>
            </div>
            <div class="modal-footer">
                <div class="btn-group">
                    <button type="button" class="btn btn-default" data-dismiss="modal">Chiudi</button>
                    <button type="button" class="btn btn-primary add-capitolo-submit">Aggiungi</button>
                </div>
            </div>
        </div>
    </div>
</div>
<script>
    jQuery(function ($) {
        $(document).on("click", ".add-voce", function (e) {
            e.stopPropagation();
            $("form[name='addCapitolo']").find("[name='search'], [name='idCapitoloGenitore'], [name='um'], [name='codiceCapitoloRaw'], [name='quantita'], [name='note'], [name='nome'], [name='sconto'], [name='prezzoUnitario']").val("");
            $("form[name='addCapitolo']").find("[name='idCapitolo']").html("");
            $('#add-voce').modal('show');
            $("[name='idCapitoloGenitore']").trigger("chosen:updated");
        });
        $("[name='idCapitoloGenitore']").chosen({
            width: "100%",
            allow_single_deselect: true,
            placeholder_text_single: "Seleziona un capitolo genitore"
        });
        $("#idPreventivo").chosen({
            width: "100%",
            placeholder_text_single: "Seleziona un preventivo"
        });
        $(document).on("keypress", "[name='search']", function (e) {
            e.stopPropagation();
            e.stopImmediatePropagation();
            if (e.keyCode !== 13) {
                return;
            }
            $val = $.trim($(this).val());
            if ($val.length < 3 && $val.length > 0) {
                return;
            }
            $.ajax({
                url: "index.php?option=com_osma&task=preventivatore.getCapitoliChildren&format=raw",
                method: 'POST',
                data: {
                    q: $(this).val(),
                    id: $("[name='idCapitoloGenitore']").val()
                }
            }).done(function (response) {
                    response = JSON.parse(response);
                    $("[name='idCapitolo']").html("");
                    $.each(response.data, function (i, val) {
                        $("[name='idCapitolo']").append("<option value='" + val.idCapitolo + "'>" + val.codiceCapitoloRaw + ": " + val.nome + "</option>")
                    });
                }
            );

        });
        $(document).on("change", "[name='idCapitoloGenitore']", function (e) {
            e.stopPropagation();
            $("form[name='addCapitolo'] .invalid").removeClass("invalid");
            $("form[name='addCapitolo']").find("[name='idCapitolo']").addClass("required");
            $("form[name='addCapitolo']").find("[name='prezzoUnitario'], [name='um']").removeClass("required");
            $("form[name='addCapitolo'] [name='um']").attr("readonly", "readonly");
            $("form[name='addCapitolo']").find(".testo-idcapitolo").addClass("hidden");
            $("form[name='addCapitolo']").find(".selezione-idcapitolo").removeClass("hidden");
            if ($(this).val() === "0") {
                $("[name='idCapitolo']").removeClass("required").removeClass("invalid");
                $("form[name='addCapitolo']").find("[name='prezzoUnitario'], [name='um']").addClass("required");
                $("form[name='addCapitolo'] [name='um']").removeAttr("readonly");
                $("form[name='addCapitolo']").find(".testo-idcapitolo").removeClass("hidden");
                $("form[name='addCapitolo']").find(".selezione-idcapitolo").addClass("hidden");
            } else {
                $.ajax({
                    url: "index.php?option=com_osma&task=preventivatore.getCapitoliChildren&format=raw",
                    data: {
                        id: $(this).val(),
                        q: $("[name='search']").val()
                    },
                    method: 'POST'
                }).done(function (response) {
                    response = JSON.parse(response);
                    $("[name='idCapitolo']").html("");
                    $.each(response.data, function (i, val) {
                        $("[name='idCapitolo']").append("<option value='" + val.idCapitolo + "'>" + val.codiceCapitoloRaw + ": " + val.nome + "</option>")
                    });
                });
            }
        });
        $(document).on("change", "[name='idCapitolo']", function (e) {
            e.stopPropagation();
            e.stopImmediatePropagation();

            $id = $(this).val()[0];
            $.ajax({
                url: "index.php?option=com_osma&task=preventivatore.getCapitolo&format=raw",
                method: 'POST',
                data: {
                    id: $id
                }
            }).done(function (response) {
                response = JSON.parse(response);

                $form = $("form[name='addCapitolo']");
                $form.find("[name='prezzoUnitario']").val(response.data.prezzoUnitario);
                $form.find("[name='um']").val(response.data.um);
                $form.find("[name='codiceCapitoloRaw']").val(response.data.codiceCapitoloRaw);
                $form.find("[name='nome']").val(response.data.nome);
            });
        });
        $(document).on("click", ".delete-row", function (e) {
            e.stopPropagation();
            e.stopImmediatePropagation();
            $(this).parents("tr").remove();
            calcolaTotale();
            return false;
        });
        $(document).on("click", ".send-preventivo", function (e) {
            e.stopPropagation();
            e.stopImmediatePropagation();
            $("form[name='sendPreventivo']").find("input[type='text']").val("");
            $('#sendPreventivo').modal('show');
            return false;
        });
        $(document).on("click", "form[name='copyPreventivo'] .seleziona-all", function (e) {
            e.stopPropagation();
            e.stopImmediatePropagation();
            $("form[name='copyPreventivo'] [name='idVoce[]']").attr("checked", "checked");
            return false;
        });
        $(document).on("click", "form[name='copyPreventivo'] .deseleziona-all", function (e) {
            e.stopPropagation();
            e.stopImmediatePropagation();
            $("form[name='copyPreventivo'] [name='idVoce[]']").removeAttr("checked");
            return false;
        });
        $(document).on("click", ".copy-preventivo", function (e) {
            e.stopPropagation();
            e.stopImmediatePropagation();
            $("form[name='copyPreventivo'] [name='idPreventivo']").val("");
            $("form[name='copyPreventivo'] [name='idPreventivo']").trigger("chosen:updated");
            $("form[name='copyPreventivo'] .vox-container").html("");
            $('#copyPreventivo').modal('show');
            return false;
        });
        $(document).on("click", ".copia-preventivo-button", function (e) {
            e.stopPropagation();
            e.stopImmediatePropagation();

            $.ajax({
                url: "index.php?option=com_osma&task=preventivatore.copiaVoci&format=raw",
                method: "POST",
                data: {
                    copia: $("form[name='copyPreventivo']").serialize(),
                    idPreventivo: $("form[name='preventivo'] [name='idPreventivo']").val(),
                    idChiamata: $("form[name='preventivo'] [name='idChiamata']").val()
                }
            }).done(function (response) {
                response = JSON.parse(response);
                if (response.success) {
                    $('#copyPreventivo').modal('hide');
                    window.location = response.data;
                }
            });
            return false;
        });
        $(document).on("change", "form[name='copyPreventivo'] [name='idPreventivo']", function (e) {
            e.stopPropagation();
            e.stopImmediatePropagation();
            $.ajax({
                url: "index.php?option=com_osma&task=preventivatore.getVociPreventivo&format=raw",
                method: "POST",
                data: {
                    idPreventivo: $(this).val()
                }
            }).done(function (response) {
                response = JSON.parse(response);
                if (response.success) {
                    $(".vox-container").html(response.data);
                }
            });
            return false;
        });
        $(document).on("click", ".invia-preventivo-button", function (e) {
            e.stopPropagation();
            e.stopImmediatePropagation();
            $.ajax({
                url: "index.php?option=com_osma&task=preventivatore.inviaPreventivo&format=raw",
                data: $("form[name='sendPreventivo']").serializeArray(),
                method: 'POST'
            }).done(function (response) {
                response = JSON.parse(response);
                if (response.success) {
                    $('#sendPreventivo').modal('hide');
                }
            });
            return false;
        });
        $(document).on("click", ".export-preventivo", function (e) {
            e.stopPropagation();
            e.stopImmediatePropagation();
            return false;
        });
        $(document).on("click", ".add-capitolo-submit", function (e) {
            e.stopPropagation();
            e.stopImmediatePropagation();

            $form = $("form[name='addCapitolo']");
            $form.find(".required").each(function () {
                if ($.trim($(this).val()) === "") {
                    $(this).addClass("invalid");
                } else {
                    $(this).removeClass("invalid");
                }
            });
            if ($form.find(".required.invalid").size() > 0) {
                return;
            }

            $sconto = isNaN(parseFloat($form.find("[name='sconto']").val())) ? 0 : parseFloat($form.find("[name='sconto']").val());
            $pu = isNaN(parseFloat($form.find("[name='prezzoUnitario']").val())) ? 0 : parseFloat($form.find("[name='prezzoUnitario']").val());
            $quantita = isNaN(parseInt($form.find("[name='quantita']").val())) ? 0 : parseInt($form.find("[name='quantita']").val());
            $totale = $pu * $quantita;
            $discountValue = ($totale / 100) * $sconto;
            $totalescontato = ($totale - $discountValue);
            $totalescontato = Math.round($totalescontato * 100) / 100;

            $html = "";
            $html += "<tr>";
            $html += "<td>";
            $html += $form.find("[name='idCapitolo']").val() > 0 ? $form.find("[name='idCapitolo']").val() : "-";
            $html += "<input name='idCapitolo[]' value='" + $form.find("[name='idCapitolo']").val() + "' type='hidden' />";
            $html += "</td>";
            $html += "<td>";
            $html += $form.find("[name='codiceCapitoloRaw']").val() !== "" ? $form.find("[name='codiceCapitoloRaw']").val() : "-";
            $html += "</td>";
            $html += "<td>";
            $html += $form.find("[name='nome']").val();
            $html += "<input name='nome[]' value='" + $form.find("[name='nome']").val() + "' type='hidden' />";
            $html += "</td>";
            $html += "<td class=''>";
            $html += $form.find("[name='um']").val();
            $html += "<input name='um[]' value='" + $form.find("[name='um']").val() + "' type='hidden' />";
            $html += "</td>";
            $html += "<td class='text-right'>";
            $html += $form.find("[name='quantita']").val();
            $html += "<input name='quantita[]' value='" + $form.find("[name='quantita']").val() + "' type='hidden' />";
            $html += "</td>";
            $html += "<td class='text-right'>";
            $html += number_format($form.find("[name='prezzoUnitario']").val(), 2, ",", ".") + " €";
            $html += "<input name='prezzoUnitario[]' value='" + $form.find("[name='prezzoUnitario']").val() + "' type='hidden' />";
            $html += "</td>";
            $html += "<td class='text-right'>";
            $html += number_format($totale, 2, ",", ".") + " €";
            $html += "</td>";
            $html += "<td class='text-right'>";
            $html += $sconto + "%";
            $html += "<input name='sconto[]' value='" + $form.find("[name='sconto']").val() + "' type='hidden' />";
            $html += "</td>";
            $html += "<td class='text-right'>";
            $html += number_format($totalescontato, 2, ",", ".") + " €";
            $html += "<input name='note[]' value='" + $form.find("[name='note']").val() + "' type='hidden' />";
            $html += "</td>";
            $html += "<td class='text-right'>";
            $html += "<a class='btn btn-warning delete-row btn-sm'><i class='fa fa-times'></i> Rimuovi</a>";
            $html += "</td>";
            $html += "</tr>";

            $('table.preventivo tbody').append($html);

            calcolaTotale(function () {
                $('#add-voce').modal('hide');
            });
        });

        function number_format(number, decimals, dec_point, thousands_sep) {
            // Strip all characters but numerical ones.
            number = (number + '').replace(/[^0-9+\-Ee.]/g, '');
            var n = !isFinite(+number) ? 0 : +number,
                prec = !isFinite(+decimals) ? 0 : Math.abs(decimals),
                sep = (typeof thousands_sep === 'undefined') ? ',' : thousands_sep,
                dec = (typeof dec_point === 'undefined') ? '.' : dec_point,
                s = '',
                toFixedFix = function (n, prec) {
                    var k = Math.pow(10, prec);
                    return '' + Math.round(n * k) / k;
                };
            // Fix for IE parseFloat(0.55).toFixed(0) = 0;
            s = (prec ? toFixedFix(n, prec) : '' + Math.round(n)).split('.');
            if (s[0].length > 3) {
                s[0] = s[0].replace(/\B(?=(?:\d{3})+(?!\d))/g, sep);
            }
            if ((s[1] || '').length < prec) {
                s[1] = s[1] || '';
                s[1] += new Array(prec - s[1].length + 1).join('0');
            }
            return s.join(dec);
        }

        function calcolaTotale(callback) {
            $form = $("form[name='preventivo']");
            if ($form.find("[name='idCapitolo[]']").size() === 0) {
                $("#preventivo-panel .panel-footer .lordo").text("-");
                $("#preventivo-panel .panel-footer .lavori").text("-");
                $form.find("[type='submit']").removeAttr("disabled");
                return;
            }

            $.ajax({
                url: "index.php?option=com_osma&task=preventivatore.calcolaTotale&format=raw",
                data: $form.serialize(),
                method: 'POST'
            }).done(function (response) {
                response = JSON.parse(response);
                if (response.success) {
                    $("#preventivo-panel .panel-footer .lordo").text(response.data.lordo);
                    $("#preventivo-panel .panel-footer .lavori").text(response.data.lavori);
                    $form.find("[type='submit']").removeAttr("disabled");
                }
                if (typeof callback === "function") {
                    callback();
                }
            });
        }
    });
</script>
<style>
    .header {
        margin-top: 7.5px;
    }

    .header > div {
        padding-top: 7.5px
    }
</style>