<div class="panel panel-default">
    <div class="panel-heading">
        <h3 class="panel-title">Dettaglio pistole</h3>
    </div>
    <div class="panel-body">
        <?php if (count($pistole)) { ?>
            <div class="table-responsive">
                <table class="table table-bordered table-striped">
                    <thead>
                    <th>Matricola Pistola</th>
                    <th>Prodotto Erogato</th>
                    <th>Portata Max.</th>
                    <th>Scadenza Periodica Biennale</th>
                    </thead>
                    <tbody>
                        <?php foreach ($pistole as $pistola) { ?>
                            <?php
                            if (!trim($pistola->matricolaPistola)) {
                                continue;
                            }
                            ?>
                            <tr>
                                <td><?php echo $pistola->matricolaPistola; ?></td>
                                <td><?php echo $pistola->prodottoErogato; ?></td>
                                <td><?php echo $pistola->portata; ?></td>
                                <td><?php echo date('m/Y', strtotime($pistola->scadenzaPeriodica)); ?></td>
                            </tr>
                        <?php } ?>

                    </tbody>
                </table>
            </div>
        <?php } else { ?>
            <p>Nessuna pistola inserita.</p>
        <?php } ?>
    </div>
</div>
