<?php
defined('_JEXEC') or die('Restricted access');
?>

<div class="t3a-toolbar row">
    <div class="clearfix hidden-xs flex" style="align-items: center;">
        <?php echo $this->loadTemplate('form'); ?>
    </div>
    <div class="visible-xs col-xs-12 text-center"style="padding-top: 15px; padding-bottom: 15px">
        <a href="#filter-collapse" data-toggle="collapse" role="button" aria-expanded="false" aria-controls="filter-collapse"><i class="glyphicon glyphicon-filter"></i> Azioni e filtri</a>        
    </div>
    <div class="col-xs-12 collapse" id="filter-collapse">
        <?php echo $this->loadTemplate('form'); ?>
    </div>
</div>

<form action="<?php echo JRoute::_('index.php?option=com_osma&view=marche'); ?>" method="post" id="adminForm" class="form-validate" name="marcheForm">
    <div class="panel panel-default main-panel">
        <div class="panel-heading">
            <h3 class="panel-title">Anagrafica Marche</h3>
        </div>
        <div class="panel-body">
            <div class="table-responsive">
                <table class="table table-bordered table-striped">
                    <thead>
                        <tr>
                            <th>#</th>
                            <th class="text-center hidden-xs"><span class="glyphicon glyphicon-picture"></span></th>
                            <th>Marca</th>
                            <th>Tipologie Associate</th>
                            <th>Pubblicato</th>
                        </tr>
                    </thead>
                    <tfoot>
                        <tr>
                            <td colspan="5" class="t3a-pagination">
                                <div class="col-md-6 text-left"><?php echo $this->pagination->getListFooter(); ?></div>
                                <div class="col-md-6 text-right">Nr. Risultati: <?php echo $this->pagination->getLimitBox(); ?></div>
                            </td>
                        </tr>
                    </tfoot>
                    <tbody>
                        <?php if (!empty($this->marche)) { ?>
                            <?php $i = 0; ?>
                            <?php foreach ($this->marche as $i => $marca) { ?>
                                <?php $checked = JHTML::_('grid.id', $i++, $marca->idMarca); ?>
                                <tr>
                                    <td align="center"><?php echo $checked; ?></td>
                                    <td class="text-center hidden-xs">
                                        <?php if (JFile::exists(JPATH_SITE . DS . 'components' . DS . 'com_osma' . DS . 'files' . DS . 'marche' . DS . $marca->idMarca . '.jpg')) { ?>
                                            <img src="<?php echo JURI::root(true) . '/components/com_osma/files/marche/' . $marca->idMarca . '.jpg'; ?>" style="height:25px;"/>
                                        <?php } else { ?>
                                            <img src="<?php echo JURI::root(true) . '/components/com_osma/files/generic/no_img.gif'; ?>" style="height:25px;"/>
                                        <?php } ?>
                                    </td>
                                    <td class="td<?php echo $marca->idMarca ?>" data-marca="<?php echo $marca->marca; ?>" data-sigla="<?php echo $marca->siglaRapportino; ?>"><?php echo $marca->marca; ?></td>
                                    <td class="center"><button data-toggle="modal" data-target="#viewTipologie" data-idMarca="<?php echo $marca->idMarca; ?>" class="btn btn-default btn-sm tipologie-btn"><span class="glyphicon glyphicon-list"></span></button></td>
                                    <td class="center"><?php if ($marca->published) { ?><span class="glyphicon glyphicon-ok-circle green"></span><?php } else { ?><span class="glyphicon glyphicon-ban-circle orange"></span><?php } ?></td>
                                </tr>
                            <?php } //end foreach ?>
                            <? }else{ ?>
                        <td colspan="5">Nessuna marca inserita.</td>
                    <?php } //end if empty?>
                    </tbody>
                </table>
            </div>
        </div>
    </div>
    <input type="hidden" name="task" value=""/>
    <input type="hidden" name="boxchecked" value="0"/>
    <?php echo JHtml::_('form.token'); ?>
</form>
<div class="modal fade bs-example-modal-lg" id="addMarca" tabindex="-1" role="dialog" aria-labelledby="myModalLabel">
    <div class="modal-dialog modal-lg" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close chiudi-btn" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                <h4 class="modal-title" id="myModalLabel">Dati Marca</h4>
            </div>
            <div class="modal-body">
                <form id="addMarcaForm" class="addMarcaForm" enctype="multipart/form-data" method="post" action="">
                    <div class="panel panel-primary">
                        <div class="panel-heading">
                            <h3 class="panel-title">Dati Marca</h3>
                        </div>
                        <div class="panel-body">
                            <div class="form-group col-md-12">
                                <input id="dataMarca" type="text" class="obb marca form-control" name="dataToSave" placeholder="Marca" value=""/>
                                <span class="hidden help-block">Inserisci un valore</span>
                            </div>
                            <div class="form-group col-md-12">
                                <input id="siglaRapportino" type="text" class="obb marca form-control" name="siglaRapportino" placeholder="Sigla Rapportino" value=""/>
                                <span class="hidden help-block">Inserisci un valore</span>
                            </div>
                            <div class="form-group col-md-12">
                                <input type="file" name="subfile" id="subfile" class="inputbox required form-control brochurefile">
                            </div>
                            <div class="form-group col-md-12 image">
                            </div>
                        </div>
                    </div>
                    <div class="panel panel-warning">
                        <div class="panel-heading">
                            <h3 class="panel-title">Associa Tipologie</h3>
                        </div>
                        <div class="panel-body">
                            <div class="form-group col-md-12">
                                <select id="idTipologie" name="idTipologie[]" data-placeholder="Associa alle tipologie" multiple class="chosen-select tipologie-select" tabindex="17" style="width:100%;">
                                    <?php foreach ($this->tipologie as $tipo) { ?>
                                        <option value="<?php echo $tipo->idTipologia ?>"><?php echo $tipo->tipologia ?></option>
                                    <?php } ?>
                                </select>
                            </div>
                        </div>
                    </div>
                    <input type="hidden" name="id" value="0" id="id" />
                </form>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default chiudi-btn" >Chiudi</button>
                <button type="button" class="btn btn-primary salvabtn">Salva</button>
            </div>
        </div>
    </div>
</div>
<div class="modal fade bs-example-modal-lg" id="viewTipologie" tabindex="-1" role="dialog" aria-labelledby="myModalLabel">
    <div class="modal-dialog modal-lg" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                <h4 class="modal-title" id="myModalLabel">Tipologie Associate</h4>
            </div>
            <div class="modal-body">
                ...
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default" data-dismiss="modal">Chiudi</button>
            </div>
        </div>
    </div>
</div>
<script type="text/javascript">
//nuovo
    jQuery(document).on('click', '.nuovo', function (event) {
        event.preventDefault();
        jQuery('#addMarca').modal();

        return false;
    });

//Modifica
    jQuery(document).on('click', '.modifica', function (event) {
        event.preventDefault();

        var checked = true;
        var idMarca = "";
        jQuery.each(jQuery("input[name='cid[]']"), function (index, value) {
            if (jQuery(value).attr("checked")) {
                checked = true;
                idMarca = jQuery(value).val();
                return false;
            } else {
                checked = false;
            }
        });

        if (checked == true) {
            jQuery('#id').val(idMarca);
            //setto marca con valore
            dataMarca = jQuery(".td" + idMarca).data("marca");
            jQuery('#dataMarca').val(dataMarca);
            //setto sigla marca con valore
            siglaMarca = jQuery(".td" + idMarca).data("sigla");
            jQuery('#siglaRapportino').val(siglaMarca);

            //carico immagine se presente
            var img = new Image();
            var url = '/osma/components/com_osma/files/marche/' + idMarca + '.jpg'

            img.src = url;
            var h = img.height;

            if (img.height != 0) {
                jQuery('.image').html('<img src="' + url + '" class="marca-img" style="height:50px;" />');
            } else {
                jQuery('.image').html('<p>Nessuna immagine caricata.</p>')
            }
            //setto opzioni select tipologie
            jQuery.ajax({
                type: 'POST',
                url: 'index.php?option=com_osma&task=marche.getTipologieSelected&format=raw&tmpl=component',
                data: {idMarca: idMarca},
                dataType: 'json'
            }).done(function (data) {
                if (data == 'error') {

                } else {
                    //carico select tipologie
                    if (data.length > 0) {
                        jQuery('#idTipologie').val(data).trigger("chosen:updated");
                    }
                }
            });

            jQuery('#addMarca').modal();
        } else {
            var msg = {
                error: ['Seleziona un elemento nella lista.']
            };
            Joomla.renderMessages(msg);
        }
        return false;
    });

//Pubblica
    jQuery(document).on('click', '.pubblica', function (event) {
        event.preventDefault();

        var i = 0;
        var ids = [];

        jQuery.each(jQuery("input[name='cid[]']"), function (index, value) {
            if (jQuery(value).attr("checked")) {
                ids.push(jQuery(value).val());
            }
        });
        if (ids.length != 0) {
            //ajax call
            var url = "index.php?option=com_osma&task=marche.pubblica&format=raw";
            jQuery.ajax({
                type: "POST",
                url: url,
                data: {ids: ids, type: 4
                }
            }).done(function (result) {
                var msg = {
                    success: ['Pubblicazione degli elementi selezionati avvenuta con successo.']
                };
                Joomla.renderMessages(msg);
                setInterval(function () {
                    refresh()
                }, 3000);
            });
        } else {
            var msg = {
                error: ['Seleziona almeno un elemento nella lista.']
            };
            Joomla.renderMessages(msg);
        }
        return false;
    });

//Sospendi
    jQuery(document).on('click', '.sospendi', function (event) {
        event.preventDefault();

        var i = 0;
        var ids = [];

        jQuery.each(jQuery("input[name='cid[]']"), function (index, value) {
            if (jQuery(value).attr("checked")) {
                ids.push(jQuery(value).val());
            }
        });
        if (ids.length != 0) {
            //ajax call
            var url = "index.php?option=com_osma&task=marche.sospendi&format=raw";
            jQuery.ajax({
                type: "POST",
                url: url,
                data: {ids: ids, type: 4
                }
            }).done(function (result) {
                var msg = {
                    success: ['Sospensione degli elementi selezionati avvenuta con successo.']
                };
                Joomla.renderMessages(msg);
                setInterval(function () {
                    refresh()
                }, 3000);
            });
        } else {
            var msg = {
                error: ['Seleziona almeno un elemento nella lista.']
            };
            Joomla.renderMessages(msg);
        }
        return false;
    });

//Rimuovi
    jQuery(document).on('click', '.rimuovi', function (event) {
        event.preventDefault();

        var i = 0;
        var ids = [];

        jQuery.each(jQuery("input[name='cid[]']"), function (index, value) {
            if (jQuery(value).attr("checked")) {
                ids.push(jQuery(value).val());
            }
        });
        if (ids.length != 0) {
            //chiedo conferma della Rimozione
            var r = confirm("Sei sicuro di voler eliminare gli elementi selezionati?");
            if (r == true) {
                var url = "index.php?option=com_osma&task=marche.rimuovi&format=raw";
                jQuery.ajax({
                    type: "POST",
                    url: url,
                    data: {ids: ids, type: 4
                    }
                }).done(function (result) {
                    jQuery.each(jQuery("input[name='cid[]']"), function (index, value) {
                        if (jQuery(value).attr("checked")) {
                            el = jQuery(value);
                            el.parent().parent().remove();
                        }
                    });
                    var msg = {
                        success: ['Rimozione degli elementi selezionati avvenuta con successo.']
                    };
                    Joomla.renderMessages(msg);
                    setInterval(function () {
                        refresh()
                    }, 3000);
                });
            } else {
                return false;
            }
        } else {
            var msg = {
                error: ['Seleziona almeno un elemento nella lista.']
            };
            Joomla.renderMessages(msg);
        }
        return false;
    });

//salvataggio dati marca
    jQuery(document).on('click', '.salvabtn', function (event) {
        event.preventDefault();
        var inviaForm = 0;
        //controllo errori form
        var marca = jQuery('.marca').val();

        if (marca == "") {
            jQuery('.marca').parent().addClass("has-error");
            jQuery('.marca').parent().find('span').removeClass("hidden");
            inviaForm = 0;
        } else {
            jQuery('.marca').parent().removeClass("has-error");
            jQuery('.marca').parent().addClass("has-success");
            jQuery('.marca').parent().find('span').addClass("hidden");
            inviaForm = 1
        }

        if (inviaForm == 1) {
            var addmarcheformfield = new FormData(jQuery('#addMarcaForm')[0]);

            jQuery.ajax({
                type: 'POST',
                url: 'index.php?option=com_osma&task=marche.salva&format=raw&tmpl=component&type=1',
                data: addmarcheformfield,
                cache: false,
                contentType: false,
                processData: false
            }).done(function (data) {
                if (data == 'error') {
                    jQuery('#addMarca').modal('toggle');
                    var msg = {
                        error: ['Errore nel salvataggio dei dati.']
                    };
                    Joomla.renderMessages(msg);
                    setInterval(function () {
                        refresh()
                    }, 3000);
                } else if (data == 'format') {
                    jQuery('#addMarca').modal('toggle');
                    var msg = {
                        error: ['Il formato immagine deve essere .jpg!']
                    };
                    Joomla.renderMessages(msg);
                    setInterval(function () {
                        refresh()
                    }, 3000);
                } else {
                    jQuery('#addMarca').modal('toggle');
                    var msg = {
                        success: ['Salvataggio dati avvenuto con successo.']
                    };
                    Joomla.renderMessages(msg);
                    setInterval(function () {
                        refresh()
                    }, 3000);
                }
            });
        }

        return false;
    });


//refresh page dopo aver mostrato il messaggio di salvataggio
    function refresh() {
        window.location.reload(true);
    }

//visualizza Tipologie associate
    jQuery(document).on('click', '.tipologie-btn', function (event) {
        event.preventDefault();

        var idMarca = jQuery(this).attr('data-idMarca');
        jQuery('#viewTipologie').find(".modal-body").load('index.php?option=com_osma&task=marche.viewtipologie&format=raw&id=' + idMarca);
        jQuery('#viewTipologie').find(".modal-footer").html('<button type="button" class="btn btn-default" data-dismiss="modal">Chiudi</button>');
        jQuery('#viewTipologie').modal();

        return false;
    });

//inizializzazione chosen tipologie select
    jQuery(document).ready(function ($) {
        jQuery(".chosen-select").chosen({width: "100%"});

    });

//chiudi-btn
    jQuery(document).on('click', '.chiudi-btn', function (event) {
        event.preventDefault();
        jQuery('#idTipologie').val('').trigger('chosen:updated');
        jQuery('#addMarca').modal('toggle');
        jQuery('.image').html('');

        return false;
    });
</script>
